org.apache.commons.compress.harmony.unpack200

## Class AttrDefinitionBands

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.BandSet
  - - org.apache.commons.compress.harmony.unpack200.AttrDefinitionBands

-     public class AttrDefinitionBands
      extends BandSet

  Attribute definition bands are the set of bands used to define extra attributes transmitted in the archive.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

      `header, segment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttrDefinitionBands(Segment segment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeLayoutMap` | `getAttributeDefinitionMap()`
    `void` | `read(InputStream in)`
    `void` | `unpack()`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

      `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttrDefinitionBands

          public AttrDefinitionBands(Segment segment)

  - ### Method Detail

    - #### getAttributeDefinitionMap

          public AttributeLayoutMap getAttributeDefinitionMap()

    - #### read

          public void read(InputStream in)
                    throws IOException,
                           Pack200Exception

      Specified by:
        `read` in class `BandSet`
      Throws:
        `IOException`
        `Pack200Exception`

    - #### unpack

          public void unpack()
                      throws Pack200Exception,
                             IOException

      Specified by:
        `unpack` in class `BandSet`
      Throws:
        `Pack200Exception`
        `IOException`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.